# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

inherit git-2

DESCRIPTION="A nonintrusive shell prompt that provides: username, hostname, tty name, cwd, return value of the last command, current time, disk space, and system load. Fish or zsh is preferred, although bash is also somewhat supported."

HOMEPAGE="https://git.covalent.cz/overwatch/over-prompt"
SRC_URI=""
export GIT_SSL_NO_VERIFY=true # git.covalent.cz has a self-signed cert for now
EGIT_REPO_URI="https://git.covalent.cz/overwatch/over-prompt.git"

LICENSE="AOJSL"
SLOT="0"
KEYWORDS="x86 amd64"

src_compile() {
	g++ -ansi -Wall -o data data.cpp
}

src_install() {
	insinto /usr/share/${PN}
	insopts -m755
	doins data
	doins *-init
}

pkg_postinst() {
	einfo "Source the appropriate /usr/share/${PN}/*-init"
	einfo "(depending on which shell you're running) to enable the prompt."
	einfo "If you wish, write the following into /etc/over/prompt.cfg:"
	einfo ""
	einfo "export OVER_PROMPT_OPTS=\"A B C\""
	einfo ""
	einfo "where A is the percentage at which your free space indicator turns"
	einfo "yellow, B is the threshold for red color, and C is either 'short' or"
	einfo "'long' (without the quotes), indicating whether you want to display"
	einfo "short or long mount point names. The default is \"20 10 short\"."
}
